############################################################
# <TAG/> Mailing List - v1.0 beta                          #
# creato fa Fabrizio Ciacchi - www.alfiere.net             #
############################################################
# Based on: LetterIt v1.01 by Helge Orthmann               #
# otter@otterware.de - http://www.otterware.de             #
############################################################
# and some modules of: phpBB v2.0.5 - www.phpbb.com        #
############################################################
# Rilasciato sotto licenza GPL - released under GPL        #
############################################################
# Lasciare intatta l'intestazione - leave this header      #
############################################################

############################################################
# MYSQL SCHEMA
############################################################

############################################################
# Tabella 'abo'
############################################################

CREATE TABLE prefix_le_abo (
   id int(10) DEFAULT '0' NOT NULL,
   email varchar(100) NOT NULL,
   time int(10) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id, email)
);


############################################################
# Tabella 'range'
############################################################

CREATE TABLE prefix_le_bereich (
   id int(10) NOT NULL auto_increment,
   time int(10) DEFAULT '0' NOT NULL,
   name varchar(100) NOT NULL,
   email varchar(100) NOT NULL,
   header text NOT NULL,
   headeranz int(1) DEFAULT '0' NOT NULL,
   footer text NOT NULL,
   footeranz int(1) DEFAULT '0' NOT NULL,
   link int(1) DEFAULT '0' NOT NULL,
   url varchar(200) NOT NULL,
   abmeldung text NOT NULL,
   abmeldungbet varchar(150) NOT NULL,
   abmeldunganz int(1) DEFAULT '0' NOT NULL,
   mailart varchar(10) NOT NULL,
   headerhtml text NOT NULL,
   footerhtml text NOT NULL,
   delstat int(1) DEFAULT '0' NOT NULL,
   email_best int(1) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);


############################################################
# Tabella 'click"
############################################################

CREATE TABLE prefix_le_clicks (
   id int(10) DEFAULT '0' NOT NULL,
   time int(10) DEFAULT '0' NOT NULL,
   name varchar(50) NOT NULL,
   hits int(10) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id, name)
);


############################################################
# Tabella 'default'
############################################################

CREATE TABLE prefix_le_default (
   defid int(10) NOT NULL auto_increment,
   email varchar(100) NOT NULL,
   header text NOT NULL,
   headeranz int(1) DEFAULT '0' NOT NULL,
   footer text NOT NULL,
   footeranz int(1) DEFAULT '0' NOT NULL,
   link int(1) DEFAULT '0' NOT NULL,
   abmeldung text NOT NULL,
   abmeldungbet varchar(100) NOT NULL,
   abmeldunganz int(1) DEFAULT '0' NOT NULL,
   mailart varchar(10) NOT NULL,
   headerhtml text NOT NULL,
   footerhtml text NOT NULL,
   delstat int(1) DEFAULT '0' NOT NULL,
   email_best int(1) DEFAULT '0' NOT NULL,
   PRIMARY KEY (defid)
);


############################################################
# Tabella 'letter"
############################################################

CREATE TABLE prefix_le_letter (
   id int(10) DEFAULT '0' NOT NULL,
   time int(10) DEFAULT '0' NOT NULL,
   betreff varchar(100) NOT NULL,
   abos int(19) DEFAULT '0' NOT NULL,
   text text NOT NULL,
   htmltext text NOT NULL,
   PRIMARY KEY (id, time)
);


############################################################
# Tabella 'memory'
############################################################

CREATE TABLE prefix_le_speicher (
   id int(10) DEFAULT '0' NOT NULL,
   betreff text NOT NULL,
   newstext text NOT NULL,
   newshtml text NOT NULL,
   PRIMARY KEY (id)
);


############################################################
# Tabella 'stats'
############################################################

CREATE TABLE prefix_le_stats (
   id int(10) DEFAULT '0' NOT NULL,
   monat int(2) DEFAULT '0' NOT NULL,
   jahr int(4) DEFAULT '0' NOT NULL,
   abgang int(10) DEFAULT '0' NOT NULL,
   zugang int(10) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id, monat, jahr)
);
